package polyglot.ext.atomjava.visit;

import polyglot.visit.ContextVisitor;
import polyglot.frontend.Job;
import polyglot.types.TypeSystem;
import polyglot.ast.NodeFactory;
import polyglot.ext.atomjava.types.AtomJavaContext;
import polyglot.ext.atomjava.types.AtomJavaTypeSystem;
import polyglot.ext.atomjava.ast.AtomJavaNodeFactory;

public class AJContextVisitor extends ContextVisitor {

  public AJContextVisitor(Job job, TypeSystem ts, NodeFactory nf) {
    super(job, ts, nf);
  }
  
  public AtomJavaContext context() {
    return (AtomJavaContext)super.context();
  }

  public AtomJavaTypeSystem typeSystem() {
    return (AtomJavaTypeSystem) super.typeSystem();
  }

  public AtomJavaNodeFactory nodeFactory() {
    return (AtomJavaNodeFactory) super.nodeFactory();
  }

}
