package polyglot.ext.atomjava.ast;

import polyglot.ext.atomjava.visit.AtomJavaBuilder;

import polyglot.ext.atomjava.types.*;
import polyglot.ext.atomjava.ast.*;
import polyglot.ext.jl.ast.*;
import polyglot.ast.*;
import polyglot.types.*;
import polyglot.visit.*;
import polyglot.util.*;
import java.util.*;

import polyglot.types.LocalInstance;

/**
 * An AST node for a <code>ReleaseMaybeCheck</code>. 
 */
public class ReleaseMaybeCheck_c extends Stmt_c implements ReleaseMaybeCheck, AtomJavaBuild {
  public ReleaseMaybeCheck_c() {
    super(Position.COMPILER_GENERATED);
  }
  public NodeVisitor buildEnter(AtomJavaBuilder ab) {
    return ab;
  }
  public Node build(Node parent, AtomJavaBuilder ab) {
    AtomJavaContext     c  = (AtomJavaContext)    ab.context();
    AtomJavaTypeSystem  ts = (AtomJavaTypeSystem) ab.typeSystem();
    AtomJavaNodeFactory nf = (AtomJavaNodeFactory)ab.nodeFactory();

    return nf.Eval(c,nf.Call(c,nf.currentThread(c),"check_release_maybe",new LinkedList()));
  }
  public Term entry() { 
    return this;
  }
  public List acceptCFG(CFGBuilder v, List succs) {
    return succs;
  }
  public String toString() {
    return "AThread.check_release_maybe();";
  }
}
